Rooms - Update
Update a room with given changes.
PATCH {endpoint}/rooms/{roomId}?api-version=2025-03-13
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
endpoint
|
path | True |
string (url) |
The endpoint of the Azure Communication resource. |
|
room
|
path | True |
string |
The id of the room requested. |
|
api-version
|
query | True |
string |
Version of API to invoke. |
Request Header
Media Types: "application/merge-patch+json"
| Name | Required | Type | Description |
|---|---|---|---|
| Authorization | True |
string |
An authentication string containing a signature generated using HMAC-SHA256 scheme. |
Request Body
Media Types: "application/merge-patch+json"
| Name | Type | Description |
|---|---|---|
| pstnDialOutEnabled |
boolean |
(Optional) Set this flag to true if, at the time of the call, dial out to a PSTN number is enabled in a particular room. By default, this flag is set to false. |
| validFrom |
string (date-time) |
(Optional) The timestamp from when the room is open for joining. The timestamp is in RFC3339 format: |
| validUntil |
string (date-time) |
(Optional) The timestamp from when the room can no longer be joined. The timestamp is in RFC3339 format: |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Request successful. The action returns an updated room. |
|
| Other Status Codes |
Communication |
Error response Headers x-ms-error-code: string |
Security
Authorization
An authentication string containing a signature generated using HMAC-SHA256 scheme.
Type:
apiKey
In:
header
Examples
Update meeting room's properties.
Sample request
PATCH https://contoso.communication.azure.com//rooms/99199690362660524?api-version=2025-03-13
{
"validFrom": "2023-06-30T00:00:00Z",
"validUntil": "2023-07-30T00:00:00Z",
"pstnDialOutEnabled": true
}
Sample response
{
"id": "99199690362660524",
"createdAt": "2025-06-26T01:37:00.659722+00:00",
"validFrom": "2025-06-30T00:00:00+00:00",
"validUntil": "2025-07-30T00:00:00+00:00",
"pstnDialOutEnabled": true
}
Definitions
| Name | Description |
|---|---|
|
Room |
The meeting room. |
|
Update |
Request payload for updating a room. |
RoomModel
The meeting room.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp when the room was created at the server. The timestamp is in RFC3339 format: |
| id |
string |
Unique identifier of a room. This id is server generated. |
| pstnDialOutEnabled |
boolean |
Set this flag to true if, at the time of the call, dial out to a PSTN number is enabled in a particular room. By default, this flag is set to false. |
| validFrom |
string (date-time) |
The timestamp from when the room is open for joining. The timestamp is in RFC3339 format: |
| validUntil |
string (date-time) |
The timestamp from when the room can no longer be joined. The timestamp is in RFC3339 format: |
UpdateRoomRequest
Request payload for updating a room.
| Name | Type | Description |
|---|---|---|
| pstnDialOutEnabled |
boolean |
(Optional) Set this flag to true if, at the time of the call, dial out to a PSTN number is enabled in a particular room. By default, this flag is set to false. |
| validFrom |
string (date-time) |
(Optional) The timestamp from when the room is open for joining. The timestamp is in RFC3339 format: |
| validUntil |
string (date-time) |
(Optional) The timestamp from when the room can no longer be joined. The timestamp is in RFC3339 format: |